List Automations
curl --request GET \
--url https://api.bold-factory.com/v1/agents/automations \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.bold-factory.com/v1/agents/automations"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.bold-factory.com/v1/agents/automations', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"results": [
{
"id": "<string>",
"name": "<string>",
"instructions": "<string>",
"permissions": [
"<string>"
],
"intelligenceLevel": "Low",
"mode": "AllowChanges",
"allowQuestions": true,
"allowMemory": true,
"memory": "<string>",
"ownerUserId": "<string>",
"ownerEmail": "<string>",
"triggers": [
{
"id": "<string>",
"kind": "Schedule",
"enabled": true,
"lastTriggeredAt": "2023-11-07T05:31:56Z",
"triggerCount": 123,
"schedule": {
"frequency": "Daily",
"interval": 123,
"timezone": "<string>",
"times": [
"<string>"
],
"daysOfWeek": [
"Sunday"
],
"daysOfMonth": [
123
],
"lastDayOfMonth": true,
"monthlyPattern": {
"ordinal": "First",
"weekday": "Sunday"
},
"between": {
"start": "<string>",
"end": "<string>"
},
"startDate": "2023-12-25",
"endDate": "2023-12-25",
"skipDates": [
"2023-12-25"
]
},
"nextRunAt": "2023-11-07T05:31:56Z",
"eventName": "<string>",
"eventVersion": 123,
"conditionFormula": "<string>"
}
],
"deletedAt": "2023-11-07T05:31:56Z",
"createdAt": "2023-11-07T05:31:56Z",
"createdBy": "<string>",
"lastModifiedAt": "2023-11-07T05:31:56Z",
"lastModifiedBy": "<string>"
}
],
"pageNumber": 123,
"totalPages": 123,
"totalCount": 123,
"pageSize": 123
}{
"type": "https://www.rfc-editor.org/rfc/rfc9110.html#name-401-unauthorized",
"title": "Unauthorized",
"status": 401,
"detail": "You are not authenticated.",
"instance": "GET /v1/items/skus"
}{
"type": "https://api.bold-factory.com/errors/COMMON.AUTH.MISSING_PERMISSIONS",
"title": "Missing permissions",
"status": 403,
"detail": "Missing permissions: Items.Families.Read",
"instance": "GET /v1/maintenance/assets",
"code": "COMMON.AUTH.MISSING_PERMISSIONS"
}{
"type": "https://api.bold-factory.com/errors/COMMON.RATE_LIMIT.EXCEEDED",
"title": "Rate limit exceeded",
"status": 429,
"detail": "The request rate limit for this tenant has been exceeded. Retry after the indicated delay.",
"instance": "GET /v1/admin/tenants/self",
"code": "COMMON.RATE_LIMIT.EXCEEDED",
"parameters": {}
}Automations
List Automations
Returns the Automations visible to the caller.
GET
/
v1
/
agents
/
automations
List Automations
Autorizaciones
JWTApiKey
Use a valid JWT token in the Authorization header with the format 'Bearer {token}'
⌘I